minetest.register_craft({
	type = "fuel",
	recipe = "trunks:moss",
	burntime = 1,
})

minetest.register_craft({
    type = "cooking",
    output = "mobs:rat_cooked",
    recipe = "mobs_better_rat:rat",
    cooktime = 5,
})

minetest.register_craft({
        output = "building_blocks:slab_marble",
        recipe = {
            { "darkage:marble", "darkage:marble","darkage:marble" },
        },
})

minetest.register_craft({
	output = "homedecor:kitchen_cabinet_marble",
        recipe = {
            { "stairs:slab_Marble", "" },
            { "homedecor:kitchen_cabinet", "" },
        },
})

minetest.register_craft({
        output = "homedecor:dishwasher_marble",
        recipe = {
            { "stairs:slab_Marble", "" },
            { "homedecor:dishwasher", "" },
        },
})

minetest.register_craft({
	output = "homedecor:wardrobe",
	recipe = {
            { "homedecor:drawer_small", "homedecor:kitchen_cabinet" },
            { "homedecor:drawer_small", "group:wood" },
            { "homedecor:drawer_small", "group:wood" }
        },
})

minetest.register_craft({
	output = 'bridges:bridge_basis 2',
	recipe = {
		{"group:leaves", "group:leaves", "group:leaves"},
		{"group:leaves", "stairs:slab_wood", "group:leaves"},
		{"group:leaves", "group:leaves", "group:leaves"},
	},
})

minetest.register_craft({
        output = 'default:sand 8',
        recipe = {
                {'default:gravel', 'default:stone', 'default:gravel'},
        }
})

minetest.register_craft({
    output = 'default:gravel 8',
    recipe = {
        {'default:cobble', 'default:stone', 'default:cobble'},
    }
})

minetest.register_craft({
        output = 'illuna:desert_gravel 8',
        recipe = {
                {'default:desert_cobble', 'default:stone', 'default:desert_cobble'},
        }
})

minetest.register_craft({
        output = 'illuna:desert_gravel 8',
        recipe = {
                {'default:desert_cobble', 'default:desert_stone', 'default:desert_cobble'},
        }
})

minetest.register_craft({
        output = 'default:desert_sand 8',
        recipe = {
                {'illuna:desert_gravel', 'default:stone', 'illuna:desert_gravel'},
        }
})

minetest.register_craft({
        output = 'default:desert_sand 8',
        recipe = {
                {'illuna:desert_gravel', 'default:desert_stone', 'illuna:desert_gravel'},
        }
})


minetest.register_craft({
    output = 'default:dirt 8',
    recipe = {
                {'darkage:mud', 'default:gravel', ''},
                {'default:gravel', 'darkage:mud', ''},
            }
        })

minetest.register_craft({
--      type = "shapeless",
        output = 'medieval_craft:rope',
        recipe = {
                {"farming:string", "", ""},
                {"farming:string", "", ""},
                {"farming:string", "", ""},
        }
})

minetest.register_craft({
        output = "moreblocks:cobble_compressed",
        recipe = {
                {"default:cobble", "default:cobble", "default:cobble"},
                {"default:cobble", "default:cobble", "default:cobble"},
                {"default:cobble", "default:cobble", "default:cobble"},
        }
})

minetest.register_craft({
        output = "medieval_craft:glow_stone",
        recipe = {
                {"stairsplus:micro_cobble_bottom", "stairsplus:micro_cobble_bottom", "stairsplus:micro_cobble_bottom"},
                {"stairsplus:micro_cobble_bottom", "default:mese_crystal", "stairsplus:micro_cobble_bottom"},
                {"stairsplus:micro_cobble_bottom", "stairsplus:micro_cobble_bottom", "stairsplus:micro_cobble_bottom"},
        }
})

 minetest.register_craft({
        output = "medieval_craft:glow_stone",
        recipe = {
                {"moreblocks:micro_cobble", "moreblocks:micro_cobble", "moreblocks:micro_cobble"},
                {"moreblocks:micro_cobble", "default:mese_crystal", "moreblocks:micro_cobble"},
                {"moreblocks:micro_cobble", "moreblocks:micro_cobble", "moreblocks:micro_cobble"},
        }
})

minetest.register_craft({
        output = "medieval_craft:glow_stone_lamp",
        recipe = {
                {"default:steel_ingot", "default:glass", "default:steel_ingot"},
                {"default:glass", "medieval_craft:glow_stone", "default:glass"},
                {"default:steel_ingot", "default:glass", "default:steel_ingot"},
        }
})

minetest.register_craft({
        output = "default:cobble 9",
        recipe = {
                {"moreblocks:cobble_compressed"},
        }
})

minetest.register_craft({
	output = "travelnet:travelnet",
	recipe = {
                {"default:glass", "default:steel_ingot", "default:glass", },
                {"default:glass", "default:mese",        "default:glass", },
                {"default:glass", "default:steel_ingot", "default:glass", },
	}
})

minetest.register_craft({
        output = "travelnet:elevator",
	recipe = {
       	        {"default:steel_ingot", "default:glass", "default:steel_ingot", },
	        	{"default:steel_ingot", "",              "default:steel_ingot", },
	        	{"default:steel_ingot", "default:glass", "default:steel_ingot", },
	}
})

minetest.register_craft({
    output = "travelnet:elevator_door_glass_closed",
    recipe = {
                {"default:glass", "", "default:glass", },
                {"default:glass", "", "default:glass", },
                {"default:glass", "", "default:glass", }
    }
})

minetest.register_craft({
    output = "travelnet:elevator_door_steel_closed",
    recipe = {
                {"default:steel_ingot", "", "default:steel_ingot", },
                {"default:steel_ingot", "", "default:steel_ingot", },
                {"default:steel_ingot", "", "default:steel_ingot", }
     }
})


minetest.register_craft({
	output = 'mesecons_stickyblocks:sticky_block_all',
        recipe = {
                {"mesecons_materials:glue", "mesecons_materials:glue", ""},
                {"mesecons_materials:glue", "mesecons_materials:glue", ""},
                {"", "", ""},
        },
})

minetest.register_craft({
	output = 'default:mese_crystal',
	recipe = {
		{"default:mese_crystal_fragment", "default:mese_crystal_fragment", "default:mese_crystal_fragment"},
		{"default:mese_crystal_fragment", "default:mese_crystal_fragment", "default:mese_crystal_fragment"},
		{"default:mese_crystal_fragment", "default:mese_crystal_fragment", "default:mese_crystal_fragment"},
	},
})
minetest.register_craft({
	output = 'default:mese 54',
	recipe = {
		{"", "", ""},
		{"", "default:nyancat", ""},
		{"", "", ""},
	},
})
minetest.register_craft({
	output = 'default:mese 9',
	recipe = {
		{"", "", ""},
		{"", "default:nyancat_rainbow", ""},
		{"", "", ""},
	},
})
minetest.register_craft({
	output = 'default:nyancat_rainbow',
	recipe = {
		{"default:mese", "default:mese", "default:mese"},
		{"default:mese", "default:mese", "default:mese"},
		{"default:mese", "default:mese", "default:mese"},
	},
})
minetest.register_craft({
	output = 'default:nyancat',
	recipe = {
		{"default:nyancat_rainbow", "default:nyancat_rainbow", "default:nyancat_rainbow"},
		{"default:nyancat_rainbow", "default:nyancat_rainbow", "default:nyancat_rainbow"},
		{"", "", ""},
	},
})

minetest.register_craft({
    output = 'teleport_potion:potion',
    recipe = {
        {"mobs_slimes:lava_slime", "farming:rhubarb", "mobs_slimes:green_slimeball"},
        {"", "mobs_sandworm:spice", ""},
        {"", "default:mese_crystal", ""},
    },
})

minetest.register_craft({
	output = 'craft_guide:lcd_pc',
	recipe = {
		{'craft_guide:sign_wall'},
		{'default:glass'},
		{'moreblocks:slab_stone'},
	},
})

minetest.register_craft({
	output = "realchess:chessboard",
	recipe = {
		{"dye:black", "dye:white", "dye:black"},
		{"moreblocks:slab_wood", "moreblocks:slab_wood", "moreblocks:slab_wood"}
	},
})
